package com.ruoyi.syzy.dto;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("选科组合方案")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class XkxcSchemeDTO {
    @ApiModelProperty("数据Id")
    private Long id;
    @ApiModelProperty("课程组合")
    private String course;
    @ApiModelProperty("可报专业率")
    private Integer marjorRate;
    @ApiModelProperty("课程组合id")
    private Long courseId;
    @ApiModelProperty("是否选择")
    private Boolean collect = Boolean.FALSE;

    @ApiModelProperty("是否默认")
    private Boolean df = Boolean.FALSE;

    public Long getId() {
        return id;
    }

    public XkxcSchemeDTO setId(Long id) {
        this.id = id;
        return this;
    }

    public String getCourse() {
        return course;
    }

    public XkxcSchemeDTO setCourse(String course) {
        this.course = course;
        return this;
    }

    public Integer getMarjorRate() {
        return marjorRate;
    }

    public XkxcSchemeDTO setMarjorRate(Integer marjorRate) {
        this.marjorRate = marjorRate;
        return this;
    }

    public Long getCourseId() {
        return courseId;
    }

    public XkxcSchemeDTO setCourseId(Long courseId) {
        this.courseId = courseId;
        return this;
    }

    public Boolean getCollect() {
        return collect;
    }

    public XkxcSchemeDTO setCollect(Boolean collect) {
        this.collect = collect;
        return this;
    }

    public Boolean getDf() {
        return df;
    }

    public XkxcSchemeDTO setDf(Boolean df) {
        this.df = df;
        return this;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
    }

}
